Bug 610473 - [policycoreutils] POT File outdated
[policycoreutils] POT File outdated
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: policycoreutils (Show other bugs)
6.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Daniel Walsh
Karel Srot
: i18n, Translation
Depends On:
Blocks: 576455
  Show dependency treegraph
 
Reported: 2010-07-02 04:12 EDT by Ankit Patel
Modified: 2010-11-10 16:21 EST (History)
4 users (show)

See Also:
Fixed In Version: policycoreutils-2.0.83-8.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 16:21:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
control-center gets English message for policycoreutils entry (154.58 KB, image/png)
2010-07-02 04:12 EDT, Ankit Patel
no flags Details

  None (edit)
Description Ankit Patel 2010-07-02 04:12:29 EDT
Created attachment 428755 [details]
control-center gets English message for policycoreutils entry

Description of problem:
policycoreutils POT file is outdated and the messages from system-config-selinux.desktop are not extracted in POT file hence PO files are not having it for translations, as a result for every localized languages these messages are appearing in English.


Version-Release number of selected component (if applicable):
policycoreutils-2.0.82-32.el6.x86_64.rpm

How reproducible:
Everytime

Steps to Reproduce:
1. Run "LANG=gu_IN.UTF-8 gnome-control-center"
2. Observe the system-config-selinux entry
3. Also observe the tooltip messages
  
Actual results:
system-config-selinux entry and tooltips both are appearing in English.

Expected results:
system-config-selinux entry and tooltips both should appear in local language.

Additional info:
If system-config-selinux.desktop file is added in the list of POTFILES, then it should extract messages in POT file and hence it would be available for translations to update PO files respectively.
Comment 2 RHEL Product and Program Management 2010-07-02 04:43:09 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 Daniel Walsh 2010-07-26 11:36:51 EDT
I have translations for 

Name[jp]="SELinux 管理"
Name[nl]="SELinux beheer"
Name[pl]="Zarządzanie SELinuksem"
Name[es]="Administración de SELinux"

in 
policycoreutils-2.0.83-6.el6.src.rpm
Comment 5 Ankit Patel 2010-07-26 12:16:12 EDT
(In reply to comment #4)
> I have translations for 
> 
> Name[jp]="SELinux 管理"
> Name[nl]="SELinux beheer"
> Name[pl]="Zarządzanie SELinuksem"
> Name[es]="Administración de SELinux"
> 
> in 
> policycoreutils-2.0.83-6.el6.src.rpm    

Hi Daniel,

Please note that these are translations for "SELinux Administration" but not for "SELinux Management" which is visible in the attachment.

Thanks!
Ankit
Comment 6 Daniel Walsh 2010-07-26 17:04:52 EDT
I just cut and pasted this section. But I have translations for both.
Comment 7 Ankit Patel 2010-07-29 08:55:22 EDT
(In reply to comment #6)
> I just cut and pasted this section. But I have translations for both.    

Okay, I can see the POT file updated on 27th July has these changes incorporated.

https://translate.fedoraproject.org/projects/p/policycoreutils/c/HEAD/view/po/policycoreutils.pot

Thanks!
Ankit
Comment 8 Daniel Walsh 2010-07-29 09:59:31 EDT
Fixed in policycoreutils-2.0.83-8.el6.src.rpm
Comment 10 Ankit Patel 2010-08-06 01:25:28 EDT
FIXED.

TESTED and VERIFIED with policycoreutils-2.0.83-9.el6.

Thanks!
Ankit
Comment 12 releng-rhel@redhat.com 2010-11-10 16:21:27 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.